petsc-3.4.2 2013-07-02

# DMGetNamedGlobalVector

get access to a named, persistent global vector

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetNamedGlobalVector(DM dm,const char *name,Vec *X)

Collective on DM

### Input Arguments

| dm | - DM to hold named vectors
| name | - unique name for Vec

### Output Arguments

X -named Vec

Note: If a Vec with the given name does not exist, it is created.

### See Also

DMRestoreNamedGlobalVector()

Level:developer
Location:src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages